Горячая новость: Керамическая мозаика

Браузеры больше не будут поддерживать старые версии TLS

  • 26-03-2018
  • комментариев

Существуют изменения, связанные со списком поддерживаемых протоколов веб-браузерами. Производители ведущих программ, точнее, Chrome, Firefox, Edge (и Internet Explorer) и Safari единогласно решили, что браузеры больше не будут поддерживать TLS версии 1.0 и 1.1. Ожидается, что изменения вступят в силу в первой половине 2020 года и связаны с безопасностью.

TLS - это расширение протокола SSL на основе шифрования, на котором уже было несколько его версий. Все упомянутые браузеры уже поддерживают версию 1.2, и, как отметил ZDNet, в случае Chrome и Firefox я также позаботился о поддержке версии 1.3. Из-за постоянного прогресса и более высокого уровня безопасности, предлагаемого более новыми версиями, поддержка пожилых людей невыгодна, особенно перед анализом всего сетевого трафика.

Согласно Microsoft, в случае Edge в настоящее время более 99 процентов подключений выполняются с использованием TLS 1.2, а только остальные используют более старые версии протокола. Mozilla, с другой стороны, сообщает, что в случае Firefox 62 Beta соединения, сделанные с использованием TLS 1.2 и 1.3, составляют 98,8 процента. все. Google котирует тем временем статистику, связанную с браузером Chrome - здесь соединения с использованием TLS 1.0 и 1.1 вместе составляют всего 0,5 процента. все соединения HTTPS. Статистика Apple по Safari аналогична.

Как упоминалось ранее, поддержка старых версий TLS исчезнет из браузеров в первой половине 2020 года, а на практике, скорее всего, из Chrome. Google указывает, что браузер будет лишен поддержки этих версий протокола с выпуском тестовых выпусков, отмеченных номером 81, который состоится в январе. Apple и Mozilla указывают на март, и Microsoft придерживается более общего термина, указывающего на первую половину года. Вероятно, изменение будет связано с выпуском следующего обновления Windows 10, а затем, вероятно, обозначим как 20H1.

комментариев

Добавить комментарий